# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Extrusion.hpp File Reference

`#include "vl/Geometry.hpp"`
`#include "vl/Vector4.hpp"`
`#include "vl/Vector3.hpp"`
`#include "vl/Matrix4.hpp"`
`#include <vector>`

## Classes

class | vl::Extrusion
| The Extrusion class generates a Geometry extruding a silhouette along a path. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Enumerations

enum | vl::ESilhouetteMode { vl::SilhouetteClosed, vl::SilhouetteOpen }

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:27 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.